Subject: bug#28889: 26.0.90; TRAMP and custom file location

From: Michael Albinus <[email-masked]>
Date: Mon, 23 Oct 2017 17:31:43 +0200

Davor Rotim <[email-masked]> writes:

> Hi Michael,

Hi Davor,

> First image displays what I have in the directory and version:
> https://0x0.st/sr3V.png
>
> Second image displays what I have in the init:
> https://0x0.st/sr3W.png
>
> I run emacs -nw and it installs SLIME:
> https://0x0.st/sr3J.png
>
> Final image is what I have when I quit Emacs:
> https://0x0.st/sr3v.png
>
> I have no previous versions of Emacs installed.

Everything looks good. But we see different results.

Let's play with "emacs -Q". I do the following:

--8<---------------cut here---------------start------------->8---
$ rm ~/.emacs.d/custom.el

$ ~/src/emacs-26/src/emacs -Q --eval '(setq custom-file "~/.emacs.d/custom.el" user-init-file "/dev/null")' --eval "(custom-set-variables '(smtpmail-smtp-service 25))" --eval "(require 'cus-edit)" --eval "(custom-save-all)"

$ cat ~/.emacs.d/custom.el                                    
--8<---------------cut here---------------end--------------->8---

You see, there is no custom Tramp setting, just `smtpmail-smtp-service'
which I have taken as example. Now, you must run the settings in your
init files line by line, and try to find out which form is adding the
Tramp user option.

I would claim that Tramp itself is innocent.

> Kind regards,
> Davor Rotim

Best regards, Michael.